Description: Remove deprecated macros
 Based on information in https://wiki.gnome.org/Projects/GnomeCommon/Migration
Author: Jeffrey Ratcliffe <jjr@debian.org>
Bug-Debian: http://bugs.debian.org/829949
Last-Update: 2017-06-22
--- a/configure.in
+++ b/configure.in
@@ -18,8 +18,7 @@
 AM_PROG_LIBTOOL
 
 # Initialize GNOME environment
-GNOME_COMMON_INIT
-GNOME_COMPILE_WARNINGS(error)
+AX_COMPILER_FLAGS(error)
 DEPRECATED_FLAGS="-DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED"
 AC_SUBST(DEPRECATED_FLAGS)
 
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,26 +1,36 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
 
-PKG_NAME="gtkimageview"
+cd $srcdir
 
-(test -f $srcdir/configure.in \
-  && test -f $srcdir/README \
-  && test -d $srcdir/src) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+        exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common available from GNOME svn."
-    exit 1
-}
-
-REQUIRED_AUTOMAKE_VERSION=1.9
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
 
-USE_GNOME2_MACROS=1 NOCONFIGURE=1 . gnome-autogen.sh
-echo $srcdir/configure "$@"
-$srcdir/configure "$@"
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** '$0' command line." >&2
+        echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
